Support » Plugin: Enable Media Replace » Plugin error

Viewing 15 replies - 1 through 15 (of 24 total)
  • Hello,

    I’m also having an error thrown when trying to replace a media file. I get the following:

    Error thrown

    Class ‘EnableMediaReplace\WpeCommon’ not found

    It seems your plugin is crashing with my hosting “WpeCommon” resource that lives in “/wp-content/mu-plugins/”. However, why is your plugin trying to access “/wp-content/mu-plugins/wpengine-common/”?

    Thank you!

    slaydone

    (@slaydone)

    Hello,

    I can not replace any media files now. We just updated the plugin about 30 minutes ago due to another bug that we had. Now I get this error message anytime I try to update a file:

    This page isn’t working [website name] is currently unable to handle this request.
    HTTP ERROR 500

    • This reply was modified 12 months ago by slaydone.
    Plugin Author ShortPixel

    (@shortpixel)

    Hello @slaydone @demaier @rrhobbs – thanks for letting us know about this issue, we’re looking into it and we’ll come with a fix ASAP.

    In the meantime you can downgrade the EMR to the previous version.

    Thank you for your support and patience,
    Alex

    Thank you!

    jezzaz

    (@jezzaz)

    i am getting the same error message anytime i try to upload amn image

    Plugin Author ShortPixel

    (@shortpixel)

    @jezzaz – you use the latest EMR plugin version, correct?
    Also, what error do you get?

    I’m also getting a similar error. Here are the error details I received in an automated email about the issue. I’m running version 3.3.0.

    Error Details
    =============
    An error of type E_ERROR was caused in line 100 of the file /nas/content/live/cozygrammar/wp-content/plugins/enable-media-replace/classes/cache.php. Error message: Uncaught Error: Class ‘EnableMediaReplace\WpeCommon’ not found in /nas/content/live/cozygrammar/wp-content/plugins/enable-media-replace/classes/cache.php:100
    Stack trace:
    #0 /nas/content/live/cozygrammar/wp-content/plugins/enable-media-replace/classes/cache.php(73): EnableMediaReplace\emrCache->removeWpeCache()
    #1 /nas/content/live/cozygrammar/wp-content/plugins/enable-media-replace/classes/replacer.php(165): EnableMediaReplace\emrCache->flushCache(Array)
    #2 /nas/content/live/cozygrammar/wp-content/plugins/enable-media-replace/views/upload.php(291): EnableMediaReplace\Replacer->replaceWith(‘/tmp/phpl1B8mz’, ‘punctuation-6-t…’)
    #3 /nas/content/live/cozygrammar/wp-content/plugins/enable-media-replace/classes/emr-plugin.php(86): require_once(‘/nas/content/li…’)
    #4 [internal function]: EnableMediaReplace\EnableMediaReplacePlugin->route(”)
    #5 /nas/content/live/cozygrammar/wp-includes/class-wp-hook.php(286): call_user_func_array(Array, Array)
    #6 /nas/content/live/cozygrammar/wp-includes/class-wp-hook.php(310):

    I so appreciate you looking into this. EMR has been one of my favorite plugins for years–so useful for managing images.

    Is everyone who is having this problem hosting on WpEngine? Thats where we are hosting and everyone is getting the same errors as well on multiple clients/servers.

    We are on WP Engine.

    I am on wpengine as well, running on PHP7.3, i downgraded to PHP7.2 but the same error code kept happening

    @shortpixel – If you would like a WpEngine hosting account to test on, let me know and Ill spin you up a site on our test account.

    @tneighbors , I’m on wpengine as well. On one site I have “Enable Media Replace” version 3.3.0 and I get an error. On another site I have version 3.2.8 and it works fine. Must be the plugin?

    I’m also seeing the same error and am on WP Engine as well.

    I’m on wpengine as well

    We are on WPengine also.
    Received same error as tomason but image was actually replaced.

Viewing 15 replies - 1 through 15 (of 24 total)
  • The topic ‘Plugin error’ is closed to new replies.